%define xawflav xaw3d

%if_with xaw95
%define xawflav xaw95
%endif

%if_with xaw95static
%define xawflav xaw95static
%endif

Name: xpaint
Version: 2.7.0
Release: alt1

Summary: An image editing or paint program
License: MIT
Group: Graphics

URL: http://home.worldonline.dk/torsten/%name/
Source0: http://home.worldonline.dk/torsten/%name/%name-%version.tar.bz2
Source1: icons-%name.tar.bz2
Patch1: xpaint-2.7.0-alt-xaw3d.patch
Patch2: xpaint-2.6.9-errno.asp.patch

# Automatically added by buildreq on Sun Apr 04 2004
BuildRequires: XFree86-devel XFree86-libs libjpeg-devel libpng-devel libtiff-devel xpm-devel zlib-devel

%if "%xawflav" == "xaw3d"
BuildRequires: libXaw3d-devel
%endif

Summary(de): Malprogramm fr X
Summary(es): Programa de diseo para X
Summary(fr): Programme de dessin sous X 
Summary(pl): Program do rysowania pod X Window
Summary(pt_BR): Programa de desenho para X
Summary(ru_RU.KOI8-R):     
Summary(tr): X altnda boyama program
Summary(uk_UA.KOI8-U):     

%description
XPaint is an X Window System color image editing program which supports
most standard paint program options.  XPaint also supports advanced
features like image processing algorithms.  XPaint allows you to edit
multiple images simultaneously and supports a variety of image formats,
including PPM, XBM, TIFF, JPEG, etc.

Install the xpaint package if you need a paint program for X.

%description -l de
XPaint ist ein Farbbildbearbeitungs-Tool mit den meisten blichen,
aber auch erweiterten Funktionen wie Bildverarbeitungsalgorithmen. Sie
knnen mehrere Bilder gleichzeitig bearbeiten.

%description -l es
XPaint es una herramienta de edicin de imgenes coloridas que
presenta la mayora de las opciones padrn de programas de pintura,
as como caractersticas avanzadas como procesamiento de imgenes a
travs de algoritmos. Tambin permite la edicin de mltiples imgenes
simultneamente.

%description -l fr
xpaint est un outil d'dition d'images en couleur offrant la plupart
des options du programme paint, ainsi que des caractristiques
avances comme des algorithmes de traitement d'image. Il permet
l'dition simultane de plusieurs images et plus.

%description -l pl
XPaint jest programem do edycji kolorowych grafik z funkcjami jakie ma
wikszo typowych programw tego typu, a take niektre bardziej
zaawansowane funkcje, jak rne algorytmy obrbki grafiki.

%description -l pt_BR
XPaint  uma ferramenta de edio de imagens coloridas que apresenta a
maioria das opes-padro de programas de pintura, assim como
caractersticas avanadas como processamento de imagens atravs de
algoritmos. Ele tambm permite a edio de mltiplas imagens
simultaneamente.

%description -l ru_RU.KOI8-R
XPaint -      X Window, 
      
   ,      
  .

%description -l uk_UA.KOI8-U
XPaint --     Ц X Window,  
 ¦ۦ  æ  Цդ ¦ Φ
 ,   ͦ    ˦˦ 
Ʀ Ԧ.

%description -l tr
XPaint, X ortamnda en temel resimleme yeteneklerini barndran basit
bir programdr.

%prep
%setup -q
%if "%xawflav" == "xaw3d"
%patch1 -p1
%endif
%patch2 -p1

%build
xmkmf -a
%__subst "s|CXXDEBUGFLAGS = .*|CXXDEBUGFLAGS = %optflags|" Makefile
%__subst "s|CDEBUGFLAGS = .*|CDEBUGFLAGS =%optflags|" Makefile
%make_build CDEBUGFLAGS="%optflags" %xawflav

%install
%__make \
     XAPPLOADDIR=%_x11libdir/X11/app-defaults \
     SHAREDIR=%_datadir/%name \
     BINDIR=%_x11bindir \
     MANDIR=%_x11mandir/man1 \
     DESTDIR=%buildroot \
		    install install.man

%__mkdir -p %buildroot%_menudir
%__cat << EOF > %buildroot%_menudir/%name
?package(xpaint):needs="X11" \
section="Multimedia/Graphics" \
title="XPaint" \
longtitle="Simple paint program" \
command="%_x11bindir/%name" \
icon="%name.xpm"
EOF

%__install -d %buildroot%_iconsdir
%__tar jxvf %SOURCE1 -C %buildroot%_iconsdir

%post
%update_menus

%postun
%clean_menus

%files
%doc ChangeLog README* TODO Doc
%_x11bindir/xpaint
%_x11libdir/X11/app-defaults/*
%_datadir/%name/
%_x11mandir/man?/*
%_menudir/*
%_iconsdir/*.xpm
%_liconsdir/*.xpm
%_miconsdir/*.xpm

%changelog
* Sun Apr 04 2004 Michael Shigorin <mike@altlinux.ru> 2.7.0-alt1
- 2.7.0
- added Xaw3d build support
- implemented a switch to use different Xaw flavours
- fixed installation (removed path workaround)
- imported patch2 from ASPLinux package (thanks to Andy Shevchenko)
- imported more translations from PLD spec
- spec cleanup

* Tue Oct 15 2002 Stanislav Ievlev <inger@altlinux.ru> 2.6.4-alt2
- fixed paths

* Wed Oct 02 2002 Stanislav Ievlev <inger@altlinux.ru> 2.6.4-alt1
- 2.6.4

* Thu Oct 11 2001 Stanislav Ievlev <inger@altlinux.ru> 2.6.1-alt2
- rebuilt with new libmng

* Thu Apr 05 2001 Sergie Pugachev <fd_rag@altlinux.ru> 2.6.1-alt1
- new version

* Wed Jan 17 2001 AEN <aen@logic.ru>
- RE adaptation

* Tue Oct 03 2000 Daouda Lo <daouda@mandrakesoft.com> 2.6.0-2mdk
- icons should be transparent
- let spec helper do its jobs
- menu entry in the body of the spec
- more macroz..

* Sun Aug 27 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.6.0-1mdk
- new and shiny version.

* Tue Aug 08 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.4.9-16mdk
- automatically added BuildRequires

* Mon May 15 2000 David BAUDENS <baudens@mandrakesoft.com> 2.4-9-15mdk
- Fix build for i486
- Use %%{_tmppath} for BuildRoot

* Wed May 03 2000 dam's <damien@mandrakesoft.com> 2.4.9-14mdk
- Corrected icons.

* Tue Apr 18 2000 dam's <damien@mandrakesoft.com> 2.4.9-13mdk
- Convert gif icon to xpm.

* Mon Apr 17 2000 dam's <damien@mandrakesoft.com> 2.4.9-12mdk
- Added menu entry.

* Mon Mar 27 2000 dam's <damien@mandrakesoft.com> 2.4.9-11mdk
- Release.

* Tue Nov 02 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- corrected status of resource file

* Thu May 06 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions
- handle RPM_OPT_FLAGS

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 8)

* Thu Dec 17 1998 Michael Maher <mike@redhat.com>
- built package for 6.0

* Mon Aug  3 1998 Jeff Johnson <jbj@redhat.com>
- build root.

* Tue Jun 09 1998 Mike Wangsmo <wanger@redhat.com>
- changed the docs from being %config files.

* Fri May 01 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Apr 16 1998 Erik Troan <ewt@redhat.com>
- built against libpng 1.0

* Fri Oct 24 1997 Marc Ewing <marc@redhat.com>
- new release
- wmconfig

* Wed Oct 15 1997 Erik Troan <ewt@redhat.com>
- build against new libpng

* Thu Jul 31 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Tue Mar 25 1997 Erik Troan <ewt@redhat.com>
- "make install.man" places man page in wrong location


